<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitControllerMembership extends JControllerLegacy {

    public function getModel($name = 'Membership', $prefix = 'CrossfitModel', $config = array('ignore_request' => true)) {
        return parent::getModel($name, $prefix, $config);
    }

    public function setpayed() {
        $model = $this->getModel();
        $mainframe = JFactory::getApplication();

        if ($model->setpayed()) {
            $mainframe->enqueueMessage('Quota d\'iscrizione settata come pagata');
        } else {
            $mainframe->enqueueMessage('ATTENZIONE: Quota d\'iscrizione non settata come pagata', 'error');
        }
        $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . JRequest::getVar('idUser') . '#membership');
    }

    public function cancel() {
        $mainframe = JFactory::getApplication();
        $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . JRequest::getVar('idUser') . '#membership');
    }

    public function apply() {
        $mainframe = JFactory::getApplication();

        $post = JRequest::get('post');
        $post = $post['jformMembership'];

        $model = $this->getModel();
        if ($model->save()) {
            $mainframe->enqueueMessage('Quota d\'iscrizione modificata correttamente');
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=membership&idUser=' . JRequest::getVar('idUser') . '&idMembership=' . $post['idMembership']);
        } else {
            $mainframe->enqueueMessage('ATTENZIONE: Quota d\'iscrizione non modificata correttamente', 'error');
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=membership&idUser=' . JRequest::getVar('idUser') . '&idMembership=' . $post['idMembership']);
        }
    }

    public function save() {
        $mainframe = JFactory::getApplication();

        $model = $this->getModel();
        if ($model->save()) {
            $mainframe->enqueueMessage('Quota d\'iscrizione modificata correttamente');
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . JRequest::getVar('idUser') . '#membership');
        } else {
            $mainframe->enqueueMessage('ATTENZIONE: Quota d\'iscrizione non modificata correttamente', 'error');
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . JRequest::getVar('idUser') . '#membership');
        }
    }

    public function delete() {
        $mainframe = JFactory::getApplication();

        $model = $this->getModel();
        if ($model->delete(JRequest::getVar('idMembership'))) {
            $mainframe->enqueueMessage('Quota d\'iscrizione eliminata correttamente');
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . JRequest::getVar('idUser') . '#membership');
        } else {
            $mainframe->enqueueMessage('ATTENZIONE: Quota d\'iscrizione non eliminata correttamente', 'error');
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . JRequest::getVar('idUser') . '#membership');
        }
    }

}

?>