ALTER TABLE `#__crossfit_subscriptions_users` 
    CHANGE `created` `created` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP, 
    CHANGE `prezzo` `prezzo` DECIMAL(10,2) NOT NULL, 
    CHANGE `pagato` `pagato` DECIMAL(10,2) NOT NULL DEFAULT '0',
    CHANGE `modified` `modified` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;

CREATE TABLE IF NOT EXISTS `#__crossfit_subscriptions_sospensions` (
    `idSospension` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `idSubscription` INT(11) NOT NULL,
    `startDate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `endDate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `closed` BOOLEAN NOT NULL DEFAULT FALSE,
    `modified` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

INSERT INTO `#__crossfit_subscriptions_sospensions` (idSubscription, startDate, endDate) SELECT idSU, CONCAT(dataInizio, " 00:00:00"), '0000-00-00 00:00:00' FROM `#__crossfit_subscriptions_users` WHERE sospeso = 1;
INSERT INTO `#__crossfit_subscriptions_sospensions` (idSubscription, startDate, endDate, closed) SELECT idSU, CONCAT(dataInizio, " 00:00:00"), CONCAT(DATE_SUB(dataInizio, INTERVAL giorniSospensione DAY), " 23:59:59"), 1 FROM `#__crossfit_subscriptions_users` WHERE giorniSospensione != 0;