<?php
defined('_JEXEC') or die;
JHtml::_('behavior.formvalidator');
?>
<style>
    ul.nav.nav-tabs#myTabTabs {margin-bottom: -1px}
</style>
<form class="form-validate" action="index.php?option=com_crossfit&view=user&layout=edit" method="post" id="adminForm" name="adminForm">
    <div class="form-horizontal">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'anagrafica')); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'anagrafica', 'Anagrafica iscritto'); ?>

        <?php echo $this->loadTemplate('info'); ?>

        <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'properties', 'Informazioni aggiuntive'); ?>

        <?php echo $this->loadTemplate('properties'); ?>

        <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'membership', 'Quota d&#039;iscrizione'); ?>

        <?php echo $this->loadTemplate('memberships'); ?>

        <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'subscription', 'Abbonamenti'); ?>

        <?php echo $this->loadTemplate('subscriptions'); ?>

        <?php echo JHtml::_('bootstrap.endTab'); ?>

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>
    </div>

    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>


<?php
$document = JFactory::getDocument();
$document->addScriptDeclaration("
    jQuery(document).ready(function($) {
    	if(window.location.hash) {
    		$('ul.nav.nav-tabs li a[href=\"+window.location.hash+\"]').trigger('click');
    	}
    	
    	Joomla.submitbutton = function(pressbutton) {
            if (pressbutton == 'user.cancel') {
                submitform(pressbutton);   
            } else {
                var f = document.adminForm;
                if (document.formvalidator.isValid(f)) {
                    submitform(pressbutton);    
                }
            }    
        }
    });
");
?>

<?php
if (!JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) {
    $document->addScriptDeclaration("
            jQuery(function(){
                jQuery('form#adminForm input[type!=\"hidden\"], form#adminForm select, form#adminForm textarea').attr('disabled', 'disabled');
                jQuery('form#adminForm button, form#adminForm a.btn').remove();
            });
        ");
}
?>
