<?php
defined('_JEXEC') or die;
JHtml::_('behavior.formvalidator');
?>
<?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
    <?php if (!empty($this->memberships)) : ?>
        <div style="padding: 15px 0">
            <a href="javascript:void(0);" id="addMembership" class="btn btn-small btn-success"><span class="icon-new icon-white"></span> Aggiungi quota d'iscrizione</a>
        </div>
    <?php endif; ?>
<?php } ?>

<fieldset class="membershipform" style='display: <?= empty($this->memberships) ? "block" : "none" ?>'>
    <div class="row-fluid">
        <div class="span6">
            <?php foreach ($this->membershipForm->getFieldset() as $field): ?>
                <div class="control-group">
                    <div class="control-label"><?php echo $field->label; ?></div>
                    <div class="controls"><?php echo $field->input; ?></div>
                </div>
            <?php endforeach; ?>
            <div>
                <div>
                    </fieldset>

                    <?php if (!empty($this->memberships)) : ?>
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th width="1%">#</th>
                                    <th width="8%">
                                        Data di iscrizione
                                    </th>
                                    <th width="8%">
                                        Data di scadenza
                                    </th>
                                    <th width="5%">
                                        Prezzo
                                    </th>
                                    <th width="5%">
                                        Durata
                                    </th>
                                    <th width="5%" style='text-align: center'>
                                        Pagata
                                    </th>
                                    <th width="" style='text-align: center'></th>
                                    <?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
                                        <th width="6%" style='text-align: center'></th>
                                        <th width="6%" style='text-align: center'></th>
                                    <?php } ?>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach ($this->memberships as $i => $row) : ?>
                                    <tr>
                                        <td><?= $i + 1 ?></td>
                                        <td>
                                            <?= date("d/m/Y", strtotime($row->dataInizioM)) ?>
                                        </td>
                                        <td>
                                            <?= date("d/m/Y", strtotime($row->dataScadenzaM)) ?>
                                        </td>
                                        <td>
                                            <?= $row->costo ?> €
                                        </td>
                                        <td>
                                            <?= $row->durata ?> <?= ($row->durata == 1 ? 'anno' : 'anni') ?> 
                                        </td>
                                        <td style='text-align: center'>
                                            <?= ($row->pagatoM ? "<a href='javascript:void(0);' class='btn btn-micro hasTooltip' data-original-title='Iscrizione pagata'><span class='icon-publish'></span></a>" : "<a href='index.php?option=com_crossfit&task=membership.setpayed&idUser={$row->idUser}&idMembership={$row->idMembership}' class='btn btn-micro hasTooltip' data-original-title='Segnala come iscrizione pagata'><span class='icon-unpublish'></span></a>") ?>
                                        </td>
                                        <td></td>
                                        <?php if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) { ?>
                                            <td style='text-align: right'>
                                                <a href='index.php?option=com_crossfit&view=user&layout=membership&idUser=<?= $row->idUser ?>&idMembership=<?= $row->idMembership ?>' class='btn btn-micro hasTooltip' data-original-title='Modifica' >
                                                    <span class='icon-edit'></span> Modifica
                                                </a>
                                            </td>
                                            <td style='text-align: left'>
                                                <a href='index.php?option=com_crossfit&task=membership.delete&idUser=<?= $row->idUser ?>&idMembership=<?= $row->idMembership ?>' class='btn btn-micro hasTooltip' data-original-title='Elimina' onclick="return confirm('Vuoi eliminare la quota selezionata?')">
                                                    <span class='icon-unpublish'></span> Elimina
                                                </a>
                                            </td>
                                        <?php } ?>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    <?php endif; ?>
                    <script>
                        jQuery(document).ready(function ($) {
                            $("#addMembership").click(function () {
                                $("fieldset.membershipform").slideToggle(function () {
                                    if ($(this).is(":visible")) {
                                        $("#addMembership").html("<span class='icon-delete icon-white'></span> Chiudi");
                                    } else {
                                        $("#addMembership").html("<span class='icon-new icon-white'></span> Aggiungi quota d'iscrizione");
                                        $("input[name='jformMembership[dataInizioM]']").val("");
                                    }
                                });
                            });
                        });
                    </script>