<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitControllerUser extends JControllerLegacy {

    public function getModel($name = 'User', $prefix = 'CrossfitModel', $config = array('ignore_request' => true)) {
        return parent::getModel($name, $prefix, $config);
    }

    public function cancel() {
        $mainframe = JFactory::getApplication();
        $mainframe->redirect('index.php?option=com_crossfit&view=users');
    }

    public function add() {
        $mainframe = JFactory::getApplication();
        $mainframe->redirect("index.php?option=com_crossfit&view=user&layout=edit");
    }

    public function save() {
        $mainframe = JFactory::getApplication();

        $post = JRequest::get('post');
        $post = $post['jformUser'];

        $model = $this->getModel();
        if ($model->save()) {
            if ($post['idUser']) {
                $mainframe->enqueueMessage('Iscritto modificato correttamente');
            } else {
                $mainframe->enqueueMessage('Nuovo Iscritto aggiunto correttamente');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=users');
        } else {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('ATTENZIONE: iscritto non modificato correttamente', 'error');
            } else {
                $mainframe->enqueueMessage('ATTENZIONE: Nuovo iscritto non aggiunto', 'error');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . $post['idUser']);
        }
    }

    public function apply() {
        $mainframe = JFactory::getApplication();

        $post = JRequest::get('post');
        $post = $post['jformUser'];

        $model = $this->getModel();
        if ($model->save()) {
            if ($post['idUser']) {
                $mainframe->enqueueMessage('Iscritto modificato correttamente');
                $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . $post['idUser']);
            } else {
                $mainframe->enqueueMessage('Nuovo Iscritto aggiunto correttamente');
                $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . $model->insertedId);
            }
        } else {
            if ($post['idSubscription']) {
                $mainframe->enqueueMessage('ATTENZIONE: iscritto non modificato correttamente', 'error');
            } else {
                $mainframe->enqueueMessage('ATTENZIONE: Nuovo iscritto non aggiunto', 'error');
            }
            $mainframe->redirect('index.php?option=com_crossfit&view=user&layout=edit&idUser=' . $post['idUser']);
        }
    }

}
