<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitViewDashboard extends JViewLegacy {

    function display($tpl = null) {

        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));

            return false;
        }

        if (JRequest::getVar("idPalestra")) {
            CrossfitHelper::setActualIdPalestra(JRequest::getVar("idPalestra"));
        } elseif (JRequest::getVar("idPalestra") === "0") {
            CrossfitHelper::setActualIdPalestra(0);
            JRequest::setVar("idPalestra", 0);
        } elseif (CrossfitHelper::getActualIdPalestra()) {
            JRequest::setVar("idPalestra", CrossfitHelper::getActualIdPalestra());
        }

        $this->palestre = CrossfitHelper::getLocation();

        $this->idPalestra = CrossfitHelper::getActualIdPalestra();

        $this->iscrizioni = $this->get("Iscrizioni");
        $this->iscrizioniAttive = $this->get("IscrizioniAttive");
        $this->iscrizioniNonPagate = $this->get("IscrizioniNonPagate");
        $this->iscrizioniScadute = $this->get("IscrizioniScadute");
        $this->iscrizioniNonEffetuate = $this->get("IscrizioniNonEffetuate");

        $this->iscrizioni7 = $this->get("iscrizioni7");
        $this->iscrizioni15 = $this->get("iscrizioni15");

        /*
          $this->certificatiValidi = $this->get("CertificatiValidi");
          $this->certificatiNonConsegnati = $this->get("CertificatiNonConsegnati");
          $this->certificatiScaduti = $this->get("CertificatiScaduti");

          $this->certificati7 = $this->get("certificati7");
          $this->certificati15 = $this->get("certificati15");
         */

        $this->abbonamentiAttivi = $this->get("AbbonamentiAttivi");
        $this->abbonamentiScaduti = $this->get("AbbonamentiScaduti");
        $this->abbonamentiSospesi = $this->get("AbbonamentiSospesi");
        $this->abbonamenti = $this->abbonamentiAttivi + $this->abbonamentiScaduti + $this->abbonamentiSospesi;

        $this->scadenza60 = $this->get("Scadenza60");
        $this->scadenza30 = $this->get("Scadenza30");
        $this->scadenza15 = $this->get("Scadenza15");
        $this->scadenza7 = $this->get("Scadenza7");

        $this->idSubscriptions = $this->get("IDSSubscriptions");

        $this->tipologieAbbonamento = $this->get("TipologieAbbonamento");

        $this->subscriptionsSales = $this->get("SubscriptionsSales");

        $this->arrayMensilita = array(
            1 => 'Abbonamenti mensili',
            2 => 'Abbonamenti bimestrali',
            3 => 'Abbonamenti trimestrali',
            4 => 'Abbonamenti quadrimestrali',
            6 => 'Abbonamenti semestrali',
            12 => 'Abbonamenti annuali'
        );

        $this->addToolBar();

        parent::display($tpl);
    }

    protected function addToolBar() {
        $title = "Dashboard";

        JToolBarHelper::title($title, 'dashboard');
    }

    public function getSalesOfMonth($month, $year = null) {
        $year = $year ? $year : date("Y");
        return $this->subscriptionsSales[$month][$year] ? json_encode(floatval($this->subscriptionsSales[$month][$year])) : 'null';
    }

}
