<?php
defined('_JEXEC') or die;
JHtml::_('behavior.formvalidator');
?>

<form class="form-validate" action="index.php?option=com_crossfit&view=subscriptions" method="post" id="adminForm" name="adminForm">
    <div class="form-horizontal">
        <fieldset class="adminform">
            <div class="row-fluid">
                <div class="span6">
                    <?php foreach ($this->form->getFieldset() as $field): ?>
                        <div class="control-group">
                            <div class="control-label"><?php echo $field->label; ?></div>
                            <div class="controls"><?php echo $field->input; ?></div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </fieldset>
    </div>
    <input type="hidden" name="task" value=""/>
    <?php echo JHtml::_('form.token'); ?>
</form>

<?php
JFactory::getDocument()->addScriptDeclaration("
    jQuery(function($) {
        Joomla.submitbutton = function(pressbutton) {
            if (pressbutton == 'subscriptions.cancel') {
                submitform(pressbutton);
            } else {
                var f = document.adminForm;
                if (document.formvalidator.isValid(f)) {
                    submitform(pressbutton);    
                }
            }    
        }
        if(!$('#jform_ad_ingressi').is(':checked')) {
            $('#jform_ingressi').parents('.control-group').hide();
        }
        if(!$('#jform_adIngressiTotali').is(':checked')) {
            $('#jform_ingressiTotali').parents('.control-group').hide();
            $('#jform_dataScadenza').parents('.control-group').hide();
        }
        if($('#jform_adIngressiTotali').is(':checked')) {
            $('#jform_mesi').parents('.control-group').hide();
        }
            
        
        $(document).on('change', '#jform_ad_ingressi', function(e){
            e.stopImmediatePropagation();
            e.stopPropagation();
            if($(this).is(':checked')) {
                $('#jform_ingressi').parents('.control-group').show();
                $('#jform_ingressiTotali').parents('.control-group').hide();
                $('#jform_dataScadenza').parents('.control-group').hide();
                $('#jform_adIngressiTotali').removeAttr('checked');
            } else {
                $('#jform_ingressi').parents('.control-group').hide();
            }
        });
        $(document).on('change', '#jform_adIngressiTotali', function(e){
            if($(this).is(':checked')) {
                $('#jform_ingressiTotali').parents('.control-group').show();
                $('#jform_dataScadenza').parents('.control-group').show();
                $('#jform_mesi').parents('.control-group').hide();
                $('#jform_ingressi').parents('.control-group').hide();
                $('#jform_ad_ingressi').removeAttr('checked');
            } else {
                $('#jform_mesi').parents('.control-group').show();
                $('#jform_ingressiTotali').parents('.control-group').hide();
                $('#jform_dataScadenza').parents('.control-group').hide();
            }
        });
    });
");

if (!JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) {
    JFactory::getDocument()->addScriptDeclaration("
        jQuery(function(){
            jQuery('form#adminForm input, form#adminForm select, form#adminForm textarea').attr('disabled', 'disabled');
            jQuery('form#adminForm button, form#adminForm a.btn').remove();
        });
    ");
}